Subject: bug#64048: 30.0.50; global-display-line-numbers-mode has no easy way to set modes where it is enabled

From: Stefan Monnier <[email-masked]>
Date: Sat, 17 Jun 2023 14:30:30 -0400

> Stefan, is our current documentation of :predicate incomplete?

I'm not really familiar with that argument (AFAICT it was implemented
by Lars in commit b8b18cf34a04a).  The whole feature puts me off a bit
because of its name: in my world a "predicate" is a kind of function,
so I think it's a poor name for a variable containing some list-based
description of a set of modes.

But indeed, it seems the docstring forgets to mention that the
`:predicate MODES` argument causes the introduction of a new variable
called `MINOR-MODE-predicate` and whose default value is MODES.

        Stefan "who'd rename the `:predicate` arg to something like
                `:modes` and the `MODE-predicate` variable to something
                like `MODE-modes`."